<?php
/**
 * Event Managerial Service functions and definitions
 *
 * @package Event Managerial Service
 * @since 1.0
 */

if ( ! function_exists( 'event_managerial_service_support' ) ) :
	function event_managerial_service_support() {
		
		load_theme_textdomain( 'event-managerial-service', get_template_directory() . '/languages' );

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'event_managerial_service_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('EVENT_MANAGERIAL_SERVICE_BUY_NOW',__('https://www.themescarts.com/products/event-management-wordpress-theme/','event-managerial-service'));
		define('EVENT_MANAGERIAL_SERVICE_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/event-managerial-service/','event-managerial-service'));
		define('EVENT_MANAGERIAL_SERVICE_BUNDLE_LINK',__('https://www.themescarts.com/products/wordpress-theme-bundle/','event-managerial-service'));

	}
endif;
add_action( 'after_setup_theme', 'event_managerial_service_support' );

/*-------------------------------------------------------------
 Enqueue Styles
--------------------------------------------------------------*/

if ( ! function_exists( 'event_managerial_service_styles' ) ) :
	function event_managerial_service_styles() {
		// Register theme stylesheet.
		wp_enqueue_style('event-managerial-service-style', get_stylesheet_uri(), array(), wp_get_theme()->get('version') );
		wp_enqueue_style('owl-carousel-css', get_template_directory_uri(). '/assets/css/owl.carousel.css');
		wp_enqueue_style('event-managerial-service-style-blocks', get_template_directory_uri(). '/assets/css/blocks.css');
		wp_enqueue_style('event-managerial-service-style-responsive', get_template_directory_uri(). '/assets/css/responsive.css');
		wp_style_add_data( 'event-managerial-service-style', 'rtl', 'replace' );
		wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), false, true );
		wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), false, true );
		wp_enqueue_script( 'event-managerial-service-custom-js', get_theme_file_uri( '/assets/js/custom.js' ), array( 'jquery' ), true );
		
		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css' );
		wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/assets/font-awesome/css/all.css', array(), '7.0.0' );

		wp_enqueue_style( 'dashicons' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'event_managerial_service_styles' );

function event_managerial_service_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('event-managerial-service-welcome-notice', get_template_directory_uri() . '/inc/event-managerial-service-theme-info-page/js/event-managerial-service-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('event-managerial-service-welcome-notice', 'event_managerial_service_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('event_managerial_service_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('event_managerial_service_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=event-managerial-service-theme-info-page')
    ));
}
add_action('admin_enqueue_scripts', 'event_managerial_service_enqueue_admin_script');

if (!function_exists('event_managerial_service_enable_plugin_autoupdate')) {

    add_filter('auto_update_plugin', function ($update, $item) {
        if ($item->slug === 'siteready-coming-soon-under-construction') {
            return true;
        }
        return $update;
    }, 10, 2);

}

function event_managerial_service_plugin_update_available($slug, $file) {
    $updates = get_site_transient('update_plugins');

    if (!isset($updates->response[$slug . '/' . $file])) {
        return false; // No update available
    }

    return $updates->response[$slug . '/' . $file];
}

add_action('activated_plugin', function ($plugin) {

    if ($plugin === 'essential-blocks/essential-blocks.php') {

        // Prevent their redirect flag if they use one
        delete_transient('eb_admin_redirect');
        delete_option('eb_setup_redirect');

        // Force your redirect immediately
        wp_safe_redirect(admin_url('admin.php?page=event-managerial-service-theme-info-page'));
        exit;
    }

});

require get_template_directory() .'/inc/TGM/tgm.php';

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';

require_once get_theme_file_path( 'inc/event-managerial-service-theme-info-page/templates/class-theme-notice.php' );

require_once get_theme_file_path( 'inc/event-managerial-service-theme-info-page/class-theme-info.php' );

require_once get_theme_file_path( '/inc/customizer.php' );	
?>